# do not use "latest" here, if you want this to work in the future
image: docker:18

stages:
  - build

# Use this if your GitLab runner does not use socket binding
services:
  - docker:dind

before_script:
  - echo -n $CI_JOB_TOKEN | docker login -u gitlab-ci-token --password-stdin $CI_REGISTRY

Build-tasks:
  variables:
    CURRENT_IMAGE: "${CI_REGISTRY_IMAGE}:3.8.18-slim-bookworm"
    CURRENT_DOCKERFILE: ./Dockerfile
  stage: build
  script:
    - docker pull $CURRENT_IMAGE || true
    - docker build --cache-from $CURRENT_IMAGE --tag $CURRENT_IMAGE -f - . < $CURRENT_DOCKERFILE
    - docker push $CURRENT_IMAGE
    - docker tag $CURRENT_IMAGE "${CI_REGISTRY_IMAGE}:latest"
    - docker push "${CI_REGISTRY_IMAGE}:latest"    


